﻿

.contact-table{
    width: 100%;
    min-height:calc(100vh - 93px);
    display: table;
    box-sizing: border-box;
    padding-top: 68px;
}
.contact-mid{
    width: 100%;
    display: table-cell;
    height: 100%;
    vertical-align: middle;
}
.contact-box{
    width: 520px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
}
.contact-info-form{
    width: 100%;
    display: block;  
    font-size: 0;
}
.contact-title{
    font-size: 20px;
    font-weight: bold;
    color: #000;
    display: block;
    text-align: justify;
    letter-spacing: 2.1px;
}
.contact-info-form li{
    list-style: none;
}
.contact-info-form li input{
    border: 0;
    border-bottom: 1px solid #dddddd;
    box-sizing: border-box;
    font-size: 18px;
    width: 100%;
    height: 40px;
    line-height: 40px;
    outline: none;
}
.contact-info-list{
  padding-top: 20px;
}

.button{
  width: 220px;
  max-width: 100%;
  display: block;
  float: left;
  margin-top: 20px;
  position: relative;
}

.contact-info-form .button:last-child{
  float: right;
  font-size: 0;
}

::-webkit-input-placeholder { color: #000; font-family: "Saira Extra Condensed";letter-spacing: 1px;}
:-moz-placeholder { color: #000; font-family: "Saira Extra Condensed";letter-spacing: 1px;}
::-moz-placeholder { color: #000; font-family: "Saira Extra Condensed";letter-spacing: 1px;}
:-ms-input-placeholder { color: #000; font-family: "Saira Extra Condensed";letter-spacing: 1px;}


.map-box{
  width: 100%;
  height: 320px;
  border: 1px solid #bbbbbb;
  box-sizing: border-box;
  margin-top: 50px;
}

.button-title{
  width: 100%;
  height: 50px;
  line-height: 50px;
  display: block;
  position: absolute;
  font-size: 18px;
  font-weight: 100;
  top: 0;
  left: 0;
  text-align: center;
  letter-spacing: 3px;
  pointer-events: none;
  transition: all .3s linear;
}

.contact-info-form li.button input{
  height: 50px;
  line-height: 50px;
  background-color: #EEE;
   border: 1px solid #EEE;
  transition: all .3s linear;
  font-size: 0;
}
.contact-info-form li.button:hover input,
.contact-info-form li.button:nth-last-child(2):hover input{
   background-color: #3890c7;
}
.contact-info-form li.button:hover .button-title,
.contact-info-form li.button:nth-last-child(2):hover .button-title{
   color: #FFF;
   font-weight: bold;
   letter-spacing: 5px;
}
.contact-info-form li.button:nth-last-child(2) input{
  border: 1px solid #dddddd;
  background-color: #FFF;
}



/*表單送出*/
.contact-thanks-box{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    z-index: 9;
    top: 0;
    left: 0;
}
.contact-thanks-box.active{
  -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center;
    display: -webkit-flex;
    display:         flex;
}
.contact-thanks{
  background-color: #3a91c7;
  position: relative;
  padding: 80px;
  border-radius: 20px;
  z-index: 6;
}
.contact-thanks-p{
  font-size: 26px;
  line-height: 1.6;
  letter-spacing: 2px;
  font-weight: bold;
  color: #FFF;
  display: block;
}
.contact-out{
  width: 20px;
  height: 20px;
  max-width: 100%;
  display: block;
  position: absolute;
  border-radius: 50%;
  border: 1px solid #FFF;
  top: 4%;
  right: 4%;
  cursor: pointer;
}
.contact-out span{
  width: 15px;
  height: 1px;
  background-color: #FFF;
  display: block;
  margin: 0 auto;
  position: relative;
}
.contact-out span:nth-child(1){
  top: 9px;
    left: 0.5px;
    transform: rotate(45deg);
}
.contact-out span:nth-child(2){
    top: 8px;
    left: 0.5px;
    transform: rotate(-45deg);
}
.contact-thanks-mask{
  width: 100%;
  height: 100vh;
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.3);
}

